package be.iminds.ilabt.jfed.restapi.resource;

import be.iminds.ilabt.jfed.lowlevel.AnyCredential;
import be.iminds.ilabt.jfed.lowlevel.CredentialException;

/**
 * SpeakForCredentialParser: intermediate, that can be replaced to easily mock
 */
public class SpeakForCredentialParserImpl implements SpeakForCredentialParser {
    @Override
    public AnyCredential parse(String comment, String speaksForCredentialString) throws CredentialException {
        AnyCredential speaksForCredential =
                AnyCredential.createAutoDetect(comment , speaksForCredentialString);
        return speaksForCredential;
    }
}
